<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();


// $pager = new Yab_Helper_Pager($profils_index, 'pager_profil');

// $profils_index_index = $pager->getStatement();
$profils_index->noLimit();

?>
<script type='text/javascript'>

    var show_detail = false;

    $(document).ready(function () {
        var oTableSitefouille;
        setClickableRow();
        oTableProfils = $(".table_module").dataTable({
            "bPaginate": true,
            "bProcessing": false,
            "bInfo": false,
            "oLanguage": {
                "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_error')) ; ?>",
                "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale')) ; ?> :"
            },
            "sPaginationType": "full_numbers",
        });
        oSettings = oTableProfils.fnSettings();
    });
    function setClickableRow() {
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }

    function confirmer(url) {  // jfb 2016-04-15
    	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
    		document.location.href = url ;
    	}
    }
</script>


<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_profils_index_wrapper">
		<table id="table_profils_index"
			class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('profil_title_index')) ; ?>
			</caption>
			<thead>
				<tr class="headings">
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('profil_nom')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('profil_description')) ; ?>
					</th>

					<th colspan="2" align="center"><a
						href="<?php echo $this->getRequest('Profil', 'add'); ?>">
							<span class="glyphicon glyphicon-plus-sign"
							style="font-size: 32px;" alt="Ajouter" title="Ajouter"></span>
					</a></th>
				</tr>
			</thead>
			
			<tbody>
				<?php foreach($profils_index as $profil){ ?>
				<tr
					href="#"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

					<td class="table-row-data">
						<?php echo  $profil->get('Nomprofil', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo  $profil->get('Description', $filter_html); ?>
					</td>
					

					<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Profil', 'edit', array($profil->get('Id', $filter_html))); ?>"><span
							class="glyphicon glyphicon-edit" style="font-size: 18px;"
							alt="Editer" title="Editer"></span></a></td>
					<td class="table-row-option">
						<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Profil', 'delete', array($profil->get('Id', $filter_html))); ?>');"
						alt="Supprimer" title="Supprimer"></span>
					</td>
				</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
		href="<?php echo $this->getRequest('Index', 'index'); ?>"
		class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>

